# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)

Gem::Specification.new do |gem|
  gem.name          = "fluent-plugin-rambler"
  gem.version       = "0.1.1"
  gem.authors       = ["Keisuke Nishida"]
  gem.email         = ["keisuke.nishida@gmail.com"]
  gem.summary       = %q{Amazon S3 / Redshift output plugin for Fluentd event collector}
  gem.description   = %q{Amazon S3 / Redshift output plugin for Fluentd event collector}
  gem.homepage      = "https://github.com/k24d/fluent-plugin-rambler"
  gem.license       = 'Apache License, Version 2.0'

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]

  gem.rubyforge_project = "fluent-plugin-rambler"
  gem.add_development_dependency "fluentd"
  gem.add_development_dependency "fluent-plugin-s3"
  gem.add_runtime_dependency "fluentd"
  gem.add_runtime_dependency "fluent-plugin-s3"
end
